import request from '../utils/request'

//登录
export function getLogin(data) {
    return request({
      url: `auth/login`,
      method: 'post',
      data
    })
  }

  //注册
export function getRegister(data) {
  return request({
    url: `auth/register`,
    method: 'post',
    data
  })
}

 //注册验证码
 export function getRegisterCode(data) {
  return request({
    url: `auth/registerCode`,
    method: 'post',
    data
  })
}

 //登录验证码获取
 export function getLoginCode(data) {
  return request({
    url: `auth/loginCode`,
    method: 'post',
    data
  })
}


 //退出
 export function getLogout(data) {
  return request({
    url: `auth/logout`,
    method: 'Delete',
    data
  })
}


 //获取用户当前币种下账号  分级
 export function getAccountGradeList(data) {
  return request({
    url: `pool/user/getAccountGradeList`,
    method: 'post',
    data
  })
}

//修改密码
export function getResetPwd(data) {
  return request({
    url: `auth/resetPwd`,
    method: 'post',
    data
  })
}


//修改密码验证码获取
export function getResetPwdCode(data) {
  return request({
    url: `auth/resetPwdCode`,
    method: 'post',
    data
  })
}


//获取用户权限
export function getUserProfile() {
  return request({
    url: `system/user/profile`,
    method: 'get',
    
  })
}


//获取注销账户验证码
export function sendCloseAccount(data) {
  return request({
    url: `auth/sendCloseAccount`,
    method: 'post',
    data
  })
}


//注销账户
export function closeAccount(data) {
  return request({
    url: `auth/closeAccount`,
    method: 'post',    
    data
  })
}